from object import Thing
import pygame
import data
import random
from constants import *

class Feather(Thing):
    def __init__(self):
        Thing.__init__(self)
        color = random.choice(['red','green','blue','yellow'])
        self.color = color
        filename = 'feather_'+color+'.png'
        self.image = data.load_image(filename)
        self.rect = self.image.get_rect()
        self.rect.centerx = random.randint(0,GAME_RES[0])
        self.rect.centery = -self.rect.height/2+1 #move to the top
        self.velocity = FEATHER_SPEED
        self.pos = self.rect.centery

    def move(self,dt):
        self.pos += ((self.velocity * dt) / 1000)
        self.rect.centery = self.pos
        if self.offscreen():
            self.kill()
