from object import Thing
import pygame
from constants import *
from countdown import Countdown

class Message(Thing):
    def __init__(self,message,font,color=(0,0,0),time=None):
        Thing.__init__(self)
        self.image = font.render(message,True,color)
        self.rect = self.image.get_rect()
        self.rect.center = (GAME_RES[0]/2,GAME_RES[1]/2)

        if time:
            self.timer = Countdown(time)
        else:
            self.timer = None

    def move(self,dt):
        if(self.timer and self.timer.finished(dt)):
           self.kill()
